Summary:       Multichannel audio level meter
Name:          jmeters
Version:       0.2.0
Release:       3%{?dist}
License:       GPLv2
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/linuxaudio/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# libpng15 path
Patch0:        jmeters-0.2.0-libpng15.patch
# fsf address patch
Patch1:        jmeters-0.2.0-fsf-address.patch

BuildRequires: clthreads-devel 
BuildRequires: clxclient-devel 
BuildRequires: clalsadrv-devel
BuildRequires: jack-audio-connection-kit-devel 
BuildRequires: alsa-lib-devel
BuildRequires: libsndfile-devel 
BuildRequires: libpng-devel
BuildRequires: libX11-devel 
BuildRequires: libXft-devel

%description
Jmeters is a Jack multichannel audio level meter app.
It looks very similar to meterbridge since it uses the
same pixmaps.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's|-O3|%{optflags}|' source/Makefile

%build
cd source
make PREFIX=%{_prefix} LDFLAGS="-lpthread " CFLAGS="%{optflags}"

%install
cd source
mkdir -p %{buildroot}%{_bindir}
make PREFIX=%{buildroot}%{_prefix} install

%files
%doc README COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Mon Feb 27 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.2.0-3
- Patch for libpng15 and FSF address

* Fri Feb 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.2.0-2 
- modified to Fedora packaging guidelines

* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add patch to link with -lpthread for fc13/gcc4.4.4

* Wed Mar 16 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.0-1
- initial build
